# Double pendula

>  "It simply deals with unpredictability in complex systems. The shorthand is the Butterfly Effect. A butterfly can flap its wings in Peking and in Central Park you get rain instead of sunshine." - Dr. Ian Malcolm, Jurassic Park

<img src="media/300.gif">
300 double pendulums with nearly identical (but not quite) start conditions

## Table of Contents
* [Installation](#installation)
* [Blog Posts](#blog-posts)
* [Contributing](#contributing)
* [Dependencies](#dependencies)
* [License](#license)
* [Support](#support)

---

## :computer: Installation <a name="installation"></a>

Clone this repository locally to your machine:

```bash
git clone https://github.com/chris-greening/double-pendula.git
```

and install required dependencies with:

```bash
pip3 install -r requirements.txt
```

### Minimum Python version

This code requires [Python 3.5](https://www.python.org/downloads/release/python-350/) or higher.

## :newspaper: Blog Posts <a name="blog-posts"></a>

Check out blog post(s) on [DEV](https://dev.to/) for ideas and tutorials!

- [Visualizing the Butterfly Effect with Python](https://dev.to/chrisgreening/visualizing-the-butterfly-effect-with-python-39m3)

---

## :pray: Contributing <a name="contributing"></a>
All contributions, bug reports, bug fixes, documentation improvements, enhancements, and ideas are welcome!

Feel free to [open an Issue](https://github.com/chris-greening/double-pendula/issues/new/choose), check out existing [Issues](https://github.com/chris-greening/double-pendula/issues), or [start a discussion](https://github.com/chris-greening/double-pendula/discussions). 

Beginners to open source are highly encouraged to participate and ask questions if you're unsure what to do/where to start :heart:

---

## :spider_web: Dependencies <a name="dependencies"></a>

- [pandas](https://pandas.pydata.org/)
- [numpy](https://numpy.org/)
- [matplotlib](https://matplotlib.org/)
- [scipy](https://scipy.org/)

---


## :credit_card: License <a name="license"></a>
This code operates under the [MIT](LICENSE) license.

---

## :grey_question: Support <a name="support"></a>

Reach out to me if you want to connect or have any questions and I will do my best to get back to you
* Email:
  * chris@christophergreening.com
* Twitter:
  * [@ChrisGreening](https://twitter.com/ChrisGreening)
* LinkedIn
  * [Chris Greening](https://www.linkedin.com/in/chris-greening-646411139/)
* Personal contact form: 
  * [www.christophergreening.com](https://www.christophergreening.com/contact)